### Struct

# Ggit RefSpec

#### Description [src]

    struct GgitRefSpec {
      /* No available fields */
    }

Reprensents a git reference specification.

#### Instance methods

###### ggit_ref_spec_get_destination

Gets the `refspec`‘s destination.

###### ggit_ref_spec_get_source

Gets the `refspec`‘s source.

###### ggit_ref_spec_is_forced

Whether updating is done forcefully.

###### ggit_ref_spec_ref

Atomically increments the reference count of `refspec` by one. This function is MT-safe and may be called from any thread.

###### ggit_ref_spec_unref

Atomically decrements the reference count of `refspec` by one. If the reference count drops to 0, `refspec` is freed.